package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;

public class ItemReporteControleEstoqueBoletos {
	
	private Integer estacionId;
	private String serie;
	private String folioInicial;
	private String folioFinal;
	private String descPuntoVenta;
	private Long numCaja;
	private String descEstacion;
	private String folioAtual;
	private Integer articuloId;
	private String tipo;
	private String nombEmpresa;
	private BigDecimal empresaId;
	private BigDecimal folioCaja;
	private Integer aidfId;
	private Integer marcaId;
	private Integer ultimoFolioCaja;
	private String subSerie;
	private String cveUsuario;
	private String nombreUsuario;
	private String nomeEstado;
	private String descArticulo;
	private Date fechorAquisicion;
	private Date fecVencimento;
	private Integer numfoliopreimpreso;
	private String ID;
	private String tipoAidf;
	private Integer quantidade;
	private Integer puntoVentaId;
	
	
	public Integer getEstacionId() {
		return estacionId;
	}
	public void setEstacionId(Integer estacionId) {
		this.estacionId = estacionId;
	}
	public String getSerie() {
		return serie;
	}
	public void setSerie(String serie) {
		this.serie = serie;
	}
	public String getFolioInicial() {
		return folioInicial;
	}
	public void setFolioInicial(String folioInicial) {
		this.folioInicial = folioInicial;
	}
	public String getFolioFinal() {
		return folioFinal;
	}
	public void setFolioFinal(String folioFinal) {
		this.folioFinal = folioFinal;
	}
	public String getDescPuntoVenta() {
		return descPuntoVenta;
	}
	public void setDescPuntoVenta(String descPuntoVenta) {
		this.descPuntoVenta = descPuntoVenta;
	}
	public Long getNumCaja() {
		return numCaja;
	}
	public void setNumCaja(Long numCaja) {
		this.numCaja = numCaja;
	}
	public String getDescEstacion() {
		return descEstacion;
	}
	public void setDescEstacion(String descEstacion) {
		this.descEstacion = descEstacion;
	}
	public String getFolioAtual() {
		return folioAtual;
	}
	public void setFolioAtual(String folioAtual) {
		this.folioAtual = folioAtual;
	}
	public Integer getArticuloId() {
		return articuloId;
	}
	public void setArticuloId(Integer articuloId) {
		this.articuloId = articuloId;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public String getNombEmpresa() {
		return nombEmpresa;
	}
	public void setNombEmpresa(String nombEmpresa) {
		this.nombEmpresa = nombEmpresa;
	}
	public BigDecimal getEmpresaId() {
		return empresaId;
	}
	public void setEmpresaId(BigDecimal empresaId) {
		this.empresaId = empresaId;
	}
	public BigDecimal getFolioCaja() {
		return folioCaja;
	}
	public void setFolioCaja(BigDecimal folioCaja) {
		this.folioCaja = folioCaja;
	}
	public Integer getAidfId() {
		return aidfId;
	}
	public void setAidfId(Integer aidfId) {
		this.aidfId = aidfId;
	}
	public Integer getMarcaId() {
		return marcaId;
	}
	public void setMarcaId(Integer marcaId) {
		this.marcaId = marcaId;
	}
	public Integer getUltimoFolioCaja() {
		return ultimoFolioCaja;
	}
	public void setUltimoFolioCaja(Integer ultimoFolioCaja) {
		this.ultimoFolioCaja = ultimoFolioCaja;
	}
	public String getSubSerie() {
		return subSerie;
	}
	public void setSubSerie(String subSerie) {
		this.subSerie = subSerie;
	}
	public String getCveUsuario() {
		return cveUsuario;
	}
	public void setCveUsuario(String cveUsuario) {
		this.cveUsuario = cveUsuario;
	}
	public String getNombreUsuario() {
		return nombreUsuario;
	}
	public void setNombreUsuario(String nombreUsuario) {
		this.nombreUsuario = nombreUsuario;
	}
	public String getNomeEstado() {
		return nomeEstado;
	}
	public void setNomeEstado(String nomeEstado) {
		this.nomeEstado = nomeEstado;
	}
	public String getDescArticulo() {
		return descArticulo;
	}
	public void setDescArticulo(String descArticulo) {
		this.descArticulo = descArticulo;
	}
	public Date getFechorAquisicion() {
		return fechorAquisicion;
	}
	public void setFechorAquisicion(Date fechorAquisicion) {
		this.fechorAquisicion = fechorAquisicion;
	}
	public Date getFecVencimento() {
		return fecVencimento;
	}
	public void setFecVencimento(Date fecVencimento) {
		this.fecVencimento = fecVencimento;
	}
	public Integer getNumfoliopreimpreso() {
		return numfoliopreimpreso;
	}
	public void setNumfoliopreimpreso(Integer numfoliopreimpreso) {
		this.numfoliopreimpreso = numfoliopreimpreso;
	}
	public String getID() {
		return ID;
	}
	public void setID(String iD) {
		ID = iD;
	}
	
	public String getTipoAidf() {
		return tipoAidf;
	}
	public void setTipoAidf(String tipoAidf) {
		this.tipoAidf = tipoAidf;
	}
		
	public Integer getQuantidade() {
		return quantidade;
	}
	public void setQuantidade(Integer quantidade) {
		this.quantidade = quantidade;
	}
	
	public Integer getPuntoVentaId() {
		return puntoVentaId;
	}
	public void setPuntoVentaId(Integer puntoVentaId) {
		this.puntoVentaId = puntoVentaId;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((ID == null) ? 0 : ID.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ItemReporteControleEstoqueBoletos other = (ItemReporteControleEstoqueBoletos) obj;
		if (ID == null) {
			if (other.ID != null)
				return false;
		} else if (!ID.equals(other.ID))
			return false;
		return true;
	}
	@Override
	public String toString() {
		return "ItemReporteControleEstoqueBoletos [folioInicial=" + folioInicial + ", folioFinal=" + folioFinal
				+ ", descPuntoVenta=" + descPuntoVenta + ", folioAtual=" + folioAtual + ", aidfId=" + aidfId + "]";
	}	
}
